#!/bin/sh
TARFILE="$1"; shift
ARGS=''

INSTALL_SCRIPT='bin/install.pike'

while [ $# != 0 ]
do
    case "$1" in
              -v|\
       --version) echo "Pike v7.6 release 6 Copyright (C) 1994-2004 IDA, Linkping University
Pike comes with ABSOLUTELY NO WARRANTY; This is free software and you
are welcome to redistribute it under certain conditions; Read the
files COPYING and COPYRIGHT in the Pike distribution for more details.
";
		  rm -f PtmPc914452.x
                  exit 0 ;;

              -h|\
          --help) echo "Usage: $TARFILE [options] [variables]

Options:
  -h, --help            Display this help and exit.
  -v, --version         Display version information and exit.
  --features            Display features and exit.
  --interactive         Interactive installation (default).
  --new-style           Install in <prefix>/pike/<ver>/{lib,include,bin}.
  --traditional         Install in <prefix>/{lib/pike,include/pike,bin}.

Variables:
  prefix=<path>         Install pike files here (/usr/local).
  pike_name=<path>      Create a symlink to pike here (<prefix>/bin/pike).
"
		  rm -f PtmPc914452.x
                  exit 0 ;;

      --features) echo "dynamic_modules
threads
out-of-band_data
GL
GLUT
GTK
Gdbm
Gmp
Gz
Image.FreeType
Image.GIF
Image.JPEG
Image.TIFF
Image.XFace
Image.PNG
Java
Mysql
PDF
Postgres
SANE
SDL
Yp"
		  rm -f PtmPc914452.x
                  exit 0 ;;

    --list-files) tar xf "$TARFILE" PtmPc914452.tar.gz
                  tar tfz PtmPc914452.tar.gz
                  rm -f PtmPc914452.x PtmPc914452.tar.gz
                  exit 0 ;;

              -s|\
        --script) shift
                  INSTALL_SCRIPT="$1" ;;

               *) ARGS="$ARGS '`echo \"$1\" | sed -e \"s/'/'\\\"'\\\"'/g\"`'" ;;
    esac
    shift
done
echo "   Loading installation script, please wait..."
tar xf "$TARFILE" PtmPc914452.tar.gz
gzip -dc PtmPc914452.tar.gz | tar xf -
rm -rf PtmPc914452.tar.gz
( cd 'Pike-v7.6.6-Linux-2.4.20-28.8-i686.dir'
  eval "build/pike -mmaster.pike -DNOT_INSTALLED \"$INSTALL_SCRIPT\" \
  TMP_LIBDIR=\"build/lib\"\
  LIBDIR_SRC=\"lib\"\
  SRCDIR=\"src\"\
  TMP_BINDIR=\"bin\"\
  TMP_BUILDDIR=\"build\"\
  MANDIR_SRC=\"man\"\
  DOCDIR_SRC=\"refdoc\"\
  PIKE_MODULE_RELOC=\"\"\
  $ARGS"
)
rm -rf 'Pike-v7.6.6-Linux-2.4.20-28.8-i686.dir' PtmPc914452.x
